//////////////////////////////////////////////////////////////////////////////
//                                                                          //
//                                  AJIS                                    //
//                                                                          //
//                     Copyright (C) 2007-2008, AdaCore                     //
//                                                                          //
// GNAT is free software;  you can  redistribute it  and/or modify it under //
// terms of the  GNU General Public License as published  by the Free Soft- //
// ware  Foundation;  either version 2,  or (at your option) any later ver- //
// sion.  GNAT is distributed in the hope that it will be useful, but WITH- //
// OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY //
// or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License //
// for  more details.  You should have  received  a copy of the GNU General //
// Public License  distributed with GNAT;  see file COPYING.  If not, write //
// to  the  Free Software Foundation,  51  Franklin  Street,  Fifth  Floor, //
// Boston, MA 02110-1301, USA.                                              //
//                                                                          //
//                                                                          //
//                                                                          //
//                                                                          //
//                                                                          //
//                                                                          //
//                                                                          //
//                                                                          //
//////////////////////////////////////////////////////////////////////////////

package com.adacore.ajis.internal.ada;

import com.adacore.ajis.AJISLibrary;

public class AdaAccess {
	
	public int [] fAcc;
	
	public static int [] simpleNullAccess;	
	public static int [] fatNullAccess;
	
	public AdaAccess (int [] acc) {
		fAcc = acc;
	}
	
	public int [] getAccess () {
		return fAcc;
	}
	
	public static boolean isNull (int [] addr) {
		for (int j = 0; j < addr.length; ++j) {
			if (addr [j] != 0) {
				return false;
			}
		}
		
		return true;
	}
		
	private static native int [] getSimpleNullAccess ();
	private static native int [] getFatNullAccess ();
	
	static {
		AJISLibrary.load ();	
		simpleNullAccess = getSimpleNullAccess();
		fatNullAccess = getFatNullAccess();		
	}
}

